% Sampling    3932.16 MHz 
% Mixer       3000.00 MHz
% Interpolation     8
% Zyquist Zone      2nd

% Set Memory Type DDR
send_cmd('SetMemType 0');

% Set Memory Type BRAM
% send_cmd('SetMemType 1');

for i=1:2

    % Set DAC Sampling Frequency 3932.16 MHz  Internal CLK
    send_cmd('DynamicPLLConfig 1 0 1 245.760000  3932.16');

    % Set Mixer Frequency 3000.00 MHz, Mixermode 2(Complex->Real) CH1, CH2, CH3 and CH4 
    send_cmd('SetMixerSettings 1 0 0 3000.000000 0.000000 2 2 0 2 0');
    send_cmd('UpdateEvent 1 0 0 1');
    send_cmd('SetMixerSettings 1 0 1 3000.000000 0.000000 2 2 0 2 0');
    send_cmd('UpdateEvent 1 0 1 1');
    send_cmd('SetMixerSettings 1 0 2 3000.000000 0.000000 2 2 0 2 0');
    send_cmd('UpdateEvent 1 0 2 1');
    send_cmd('SetMixerSettings 1 0 3 3000.000000 0.000000 2 2 0 2 0');
    send_cmd('UpdateEvent 1 0 3 1');

    % Set Interpolation Factor 1, CH1, CH2, CH3 and CH4
    % --- Disable DAC FIFO
    send_cmd('SetupFIFO 1 0 0');

    % --- Interpolation Factor x8
    send_cmd('SetInterpolationFactor 0 0 8');
    send_cmd('SetInterpolationFactor 0 1 8');
    send_cmd('SetInterpolationFactor 0 2 8');
    send_cmd('SetInterpolationFactor 0 3 8');
    send_cmd('SetFabClkOutDiv 1 0 4');
   
    % --- Interpolation Factor x2
%     send_cmd('SetInterpolationFactor 0 0 2');
%     send_cmd('SetInterpolationFactor 0 1 2');
%     send_cmd('SetInterpolationFactor 0 2 2');
%     send_cmd('SetInterpolationFactor 0 3 2');
%     send_cmd('SetFabClkOutDiv 1 0 2');
   
    % --- Interpolation Factor x1
%     send_cmd('SetInterpolationFactor 0 0 1');
%     send_cmd('SetInterpolationFactor 0 1 1');
%     send_cmd('SetInterpolationFactor 0 2 1');
%     send_cmd('SetInterpolationFactor 0 3 1');
%     send_cmd('SetFabClkOutDiv 1 0 1');
   
    % NyzuistZone
%     send_cmd('SetNyquistZone 1 0 0 1'); % NyquistZone 1st(odd) 
    send_cmd('SetNyquistZone 1 0 0 2'); % NyquistZone 2nd(even) 


    % --- Enable DAC FIFO
    send_cmd('IntrClr 1 0 0 0xFFFFFFFF');
    send_cmd('IntrClr 1 0 1 0xFFFFFFFF');
    send_cmd('IntrClr 1 0 2 0xFFFFFFFF');
    send_cmd('IntrClr 1 0 3 0xFFFFFFFF');
    send_cmd('SetupFIFO 1 0 1');
    
end
