global t_cmd

% Sampling    3932.16 MHz 
% Mixer      -1500.00 MHz
% Decimation        8 

% Set Memory Type DDR
write(t_cmd,uint8(['SetMemType 0' 13 10]));

% Set Memory Type BRAM
%write(t_cmd,uint8(['SetMemType 1' 13 10]));

pause(0.2);
char(read(t_cmd));

for i=1:2
    
    % Set Sampling Frequency 3932.16 MHz Internal CLK
    write(t_cmd,uint8(['DynamicPLLConfig 0 0 1 245.760000 3932.160000' 13 10]));
    pause(0.2);
    char(read(t_cmd));
    
    % Set Mixer Frequency -1500.00 MHz CH1 & CH2
    write(t_cmd,uint8(['SetMixerSettings 0 0 0 -1500.000000 0.000000 2 2 0 3 0' 13 10]));
    pause(0.2);
    char(read(t_cmd));
    write(t_cmd,uint8(['SetMixerSettings 0 0 1 -1500.000000 0.000000 2 2 0 3 0' 13 10]));
    pause(0.2);
    char(read(t_cmd));

    % Set Decimatio Factor 8, CH1 & CH2
    % --- Stop FIFO
    write(t_cmd,uint8(['SetupFIFO 0 0 0' 13 10]));
    pause(0.2);
    char(read(t_cmd));

    % --- Decimatio Factor x8
    write(t_cmd,uint8(['SetDecimationFactor 0 0 8' 13 10]));
    pause(0.2);
    char(read(t_cmd));
    write(t_cmd,uint8(['SetDecimationFactor 0 1 8' 13 10]));
    pause(0.2);
    char(read(t_cmd));
    write(t_cmd,uint8(['SetFabClkOutDiv 0 0 5' 13 10]));
    pause(0.2);
    char(read(t_cmd));

    % --- Setup FIFO
    write(t_cmd,uint8(['IntrClr 0 0 0 0xFFFFFFFF' 13 10]));
    pause(0.2);
    char(read(t_cmd));
    write(t_cmd,uint8(['IntrClr 0 0 1 0xFFFFFFFF' 13 10]));
    pause(0.2);
    char(read(t_cmd));
    write(t_cmd,uint8(['SetupFIFO 0 0 1' 13 10]));
    pause(0.2);
    char(read(t_cmd));

end
