
function [sys,x0,str,ts] = Sim_rfdc_read(t,x,u,flag)
% Dispatch the flag. The switch function controls the calls to 
% S-function routines at each simulation stage.
switch flag,

   case 0
     [sys,x0,str,ts] = mdlInitializeSizes; % Initialization
  case 3
     sys = mdlOutputs(t,x,u); % Calculate outputs

   case { 1, 2, 4, 9 }
     sys = []; % Unused flags

   otherwise
     error(['Unhandled flag = ',num2str(flag)]); % Error handling
end;
% End of function timestwo.
%Ɏ̂́Atimestwo.mR[S-functioñTu[`łB 
%============================================================== 
% Function mdlInitializeSizes initializes the states, sample 
% times, state ordering strings (str), and sizes structure.
%==============================================================
function [sys,x0,str,ts] = mdlInitializeSizes()
% Clear Samples Buffer
global CH1
global CH2
clear CH1 CH2;
% Call function simsizes to create the sizes structure.
sizes = simsizes;
% Load the sizes structure with the initialization information.
sizes.NumContStates= 0;
sizes.NumDiscStates= 0;
sizes.NumOutputs=    2;
sizes.NumInputs=     1;
sizes.DirFeedthrough=1;
sizes.NumSampleTimes=1;
% Load the sys vector with the sizes information.
sys = simsizes(sizes);
%
x0 = []; % No continuous states
% 
str = []; % No state ordering
% 
ts = [-1 0]; % Inherited sample time
 % End of mdlInitializeSizes.
%==============================================================
% Function mdlOutputs performs the calculations.
%==============================================================
function sys = mdlOutputs(t,x,u)
%     adcVal = rfdc_read(4096);
%     adcVal = rfdc_read(8192);
%     adcVal = rfdc_read(16384);
%     adcVal = rfdc_read(32768);
%     adcVal = rfdc_read(65536);
%     adcVal = rfdc_read(262144);
     adcVal = rfdc_read(1048576);
    
    sys = adcVal;
% End of mdlOutputs.
