% Sampling    6389.76 MHz 
% Mixer          0.00 MHz
% Interpolation     8

% Set Memory Type DDR
send_cmd('SetMemType 0');

% Set Memory Type BRAM
% send_cmd('SetMemType 1');

for i=1:2

    % Set DAC Sampling Frequency 6389.76 MHz  Internal CLK
    send_cmd('DynamicPLLConfig 1 0 1 245.760000  6389.76');

    % Set Mixer Frequency 0.00 MHz, Mixermode 2(Complex->Real) CH1, CH2, CH3 and CH4 
    send_cmd('SetMixerSettings 1 0 0 0.000000 0.000000 2 2 0 2 0');
    send_cmd('UpdateEvent 1 0 0 1');
    send_cmd('SetMixerSettings 1 0 1 0.000000 0.000000 2 2 0 2 0');
    send_cmd('UpdateEvent 1 0 1 1');
    send_cmd('SetMixerSettings 1 0 2 0.000000 0.000000 2 2 0 2 0');
    send_cmd('UpdateEvent 1 0 2 1');
    send_cmd('SetMixerSettings 1 0 3 0.000000 0.000000 2 2 0 2 0');
    send_cmd('UpdateEvent 1 0 3 1');

    % Set Interpolation Factor 1, CH1, CH2, CH3 and CH4
    % --- Disable DAC FIFO
    send_cmd('SetupFIFO 1 0 0');

    % --- Interpolation Factor x8
    send_cmd('SetInterpolationFactor 0 0 8');
    send_cmd('SetInterpolationFactor 0 1 8');
    send_cmd('SetInterpolationFactor 0 2 8');
    send_cmd('SetInterpolationFactor 0 3 8');
    send_cmd('SetFabClkOutDiv 1 0 4');
   
    % --- Interpolation Factor x2
%     send_cmd('SetInterpolationFactor 0 0 2');
%     send_cmd('SetInterpolationFactor 0 1 2');
%     send_cmd('SetInterpolationFactor 0 2 2');
%     send_cmd('SetInterpolationFactor 0 3 2');
%     send_cmd('SetFabClkOutDiv 1 0 2');
   
    % --- Enable DAC FIFO
    send_cmd('IntrClr 1 0 0 0xFFFFFFFF');
    send_cmd('IntrClr 1 0 1 0xFFFFFFFF');
    send_cmd('IntrClr 1 0 2 0xFFFFFFFF');
    send_cmd('IntrClr 1 0 3 0xFFFFFFFF');
    send_cmd('SetupFIFO 1 0 1');
    
end
