%
% data must be int16 2xn format

function Start_DAC_Sub(data)

    global t_data

    samples = length(data);

    % Stop DAC
    send_cmd('LocalMemTrigger 1 0 0 0x0000');

    % Invoke WriteDataToMemory Command
    write(t_data,uint8(['WriteDataToMemory 0 0 ' int2str(samples*4) '  1' 13 10]));

    % Send DAC Data, one time max size as 64KByte(int16 32768 samples)
    dataIQ = reshape(data, [1,samples*2]);
    for i=1 : 32768 : samples*2
        pause(0.01);
        write(t_data, dataIQ(i:min(i+32767, samples*2)));
    end

    % Set Sample Size
    send_cmd(['SetLocalMemSample 1 0 0 ' , int2str(samples*4)]);

    % Start DAC
    send_cmd('LocalMemTrigger 1 0 0 0x0001');

end
