function MX_f=rfdc_read(SamplesOfBuf)
global t_data
global t_cmd
global index
global CH1
global CH2

    if length(CH1) <= 0 | length(CH1) < index
        index = 1;
 
        % Read Data
        write(t_cmd,uint8(['SetLocalMemSample 0 0 0 ' int2str(SamplesOfBuf) 13 10]));
        pause(0.1);
        char(read(t_cmd));

        write(t_cmd,uint8(['LocalMemInfo 0' 13 10]));
        pause(0.1);
        char(read(t_cmd));

        write(t_cmd,uint8(['LocalMemTrigger 0 0 ' int2str(SamplesOfBuf) ' 0x0001' 13 10]));
        pause(0.1);
        char(read(t_cmd));

        write(t_data,uint8(['ReadDataFromMemory 0 0 ' int2str(SamplesOfBuf*4) ' 1' 13 10]));
        pause(0.1);
        SampleIQ = read(t_data, SamplesOfBuf*2, 'int16');
        dummy = read(t_data);

        NumSample = length(SampleIQ)/2;

        CH1 = zeros(1, NumSample);
        CH2 = zeros(1, NumSample);
        for p=1:NumSample/8
             CH1(8*(p-1)+1:8*(p-1)+8)=SampleIQ(16*(p-1)+1:16*(p-1)+8);
             CH2(8*(p-1)+1:8*(p-1)+8)=SampleIQ(16*(p-1)+9:16*(p-1)+16);
        end
        
    end

    MX_f = [CH1(index); CH2(index)];
    index = index + 1;

	return
end
